/* Week view composite widget for gncal
 *
 * Copyright (C) 1998 The Free Software Foundation
 *
 * Author: Federico Mena <quartic@gimp.org>
 *
 * Changed in 2002 by Sebastian Rittau <srittau@jroger.in-berlin.de>
 * for the GNOME 2 port.
 */

#ifndef WEEK_VIEW_H
#define WEEK_VIEW_H

#include <glib.h>
#include <gtk/gtkvbox.h>
#include <gtk/gtktable.h>
#include <gtk/gtkvbox.h>

#include <mimedir/mimedir-vcomponent.h>

#include "gnome-cal.h"
#include "gncal-day-view.h"


G_BEGIN_DECLS


#define GNCAL_TYPE_WEEK_VIEW		(gncal_week_view_get_type ())
#define GNCAL_WEEK_VIEW(obj)		(GTK_CHECK_CAST (obj, GNCAL_TYPE_WEEK_VIEW, GncalWeekView))
#define GNCAL_WEEK_VIEW_CLASS(klass)	(GTK_CHECK_CLASS_CAST (klass, GNCAL_TYPE_WEEK_VIEW, GncalWeekViewClass))
#define GNCAL_IS_WEEK_VIEW(obj)		(GTK_CHECK_TYPE (obj, GNCAL_TYPE_WEEK_VIEW))
#define GNCAL_IS_WEEK_VIEW_CLASS(klass)	(GTK_CHECK_CLASS_TYPE ((klass), GNCAL_TYPE_WEEK_VIEW))

typedef struct _GncalWeekView		GncalWeekView;
typedef struct _GncalWeekViewClass	GncalWeekViewClass;
typedef struct _GncalWeekViewPriv	GncalWeekViewPriv;

struct _GncalWeekView {
	GtkVBox      box;

	GncalWeekViewPriv *priv;
};

struct _GncalWeekViewClass {
	GtkVBoxClass parent_class;
};


GType gncal_week_view_get_type (void);
GtkWidget *gncal_week_view_new (GnomeCalendar *calendar, time_t start_of_week);

void gncal_week_view_update (GncalWeekView *wview, MIMEDirVComponent *comp, int flags);
void gncal_week_view_set (GncalWeekView *wview, time_t start_of_week);


G_END_DECLS

#endif
