/* GnomeCard - a graphical contact manager.
 *
 * gnomecard.c: This file is part of GnomeCard.
 * $Id: gnomecard.c,v 1.91 2003/01/12 16:38:58 srittau Exp $
 * 
 * Copyright (C) 1999 The Free Software Foundation
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Changed in 2002 and 2003 by Sebastian Rittau <srittau@jroger.in-berlin.de>
 * for the GNOME 2 port.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <glib.h>


gchar *
gnomecard_join_name (const gchar *pre,
		     const gchar *given,
		     const gchar *add,
		     const gchar *fam,
		     const gchar *suf)
{
    GString *name;

    name = g_string_new (NULL);

    if (pre && *pre) {
	g_string_append (name, pre);
	g_string_append_c (name, ' ');
    }
    if (given && *given) {
	g_string_append (name, given);
	g_string_append_c (name, ' ');
    }
    if (add && *add) {
	g_string_append (name, add);
	g_string_append_c (name, ' ');
    }
    if (fam && *fam) {
	g_string_append (name, fam);
	g_string_append_c (name, ' ');
    }
    if (suf && *suf) {
	g_string_append (name, suf);
	g_string_append_c (name, ' ');
    }
    if (name->len > 0)
	g_string_truncate (name, name->len - 1);
    
    return g_string_free (name, FALSE);
}
